Package ch.qos.logback.core.joran.event

## Class SaxEvent

- java.lang.Object
- - ch.qos.logback.core.joran.event.SaxEvent

Direct Known Subclasses:
  `BodyEvent`, `EndEvent`, `StartEvent`

    public class SaxEvent
    extends java.lang.Object

### Field Summary

Fields
`java.lang.String` `localName`
`org.xml.sax.Locator` `locator`
`java.lang.String` `namespaceURI`
`java.lang.String` `qName`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getLocalName()`
`org.xml.sax.Locator` `getLocator()`
`java.lang.String` `getNamespaceURI()`
`java.lang.String` `getQName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### namespaceURI

    public final java.lang.String namespaceURI

#### localName

    public final java.lang.String localName

#### qName

    public final java.lang.String qName

#### locator

    public final org.xml.sax.Locator locator

### Method Detail

#### getLocalName

    public java.lang.String getLocalName()

#### getLocator

    public org.xml.sax.Locator getLocator()

#### getNamespaceURI

    public java.lang.String getNamespaceURI()

#### getQName

    public java.lang.String getQName()